Bug 233018 - audio/oss: fails to build on 12.0-RELEASE
Summary: audio/oss: fails to build on 12.0-RELEASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-11-06 09:16 UTC by Sergey Akhmatov
Modified: 2019-01-15 21:30 UTC (History)
5 users (show)

See Also:
koobs: merge-quarterly?


Attachments
Patch to the ports tree (3.12 KB, patch)
2019-01-06 18:54 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff
Improved patch (2.46 KB, patch)
2019-01-07 12:29 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2018-11-06 09:16:04 UTC
cc -c -O2 -pipe  -fno-strict-aliasing  -D_KERNEL -O3 -fno-common  -mcmodel=kernel -mno-red-zone  -fno-asynchronous-unwind-tables -ffreestanding -mno-sse -DOSS_LITTLE_ENDIAN  -I../../../include -I../../../kernel/framework/include  -I../../../kernel/OS/FreeBSD  -I../../../kernel/nonfree/include -I../../.. lynx_hal.c -o ./lynx_hal.o
In file included from lynx_hal.c:17:
In file included from ./lynxone_cfg.h:4:
In file included from ../../../kernel/framework/include/oss_config.h:38:
In file included from ../../../kernel/framework/include/os.h:45:
In file included from /usr/include/sys/systm.h:126:
/usr/include/sys/kpilite.h:33:10: fatal error: 'offset.inc' file not found
#include "offset.inc"
         ^~~~~~~~~~~~
1 error generated.
*** Error code 1

Full log: https://lists.freebsd.org/pipermail/freebsd-pkg-fallout/Week-of-Mon-20181105/946773.html

My poudriere and build directly from ports fails with the same result.
Comment 1 Daniel Zeisig 2018-12-09 13:36:24 UTC
same for FreeBSD 12.0-RC1 GENERIC  amd64
Comment 2 Fernando Apesteguía freebsd_committer 2019-01-06 18:54:55 UTC
Created attachment 200844 [details]
Patch to the ports tree

Hi Sergey, Daniel,

Would you mind to try this patch? It is not finished, but it builds for me in 12 amd64.

Would you run-test it?

Thanks!
Comment 3 Sergey Akhmatov 2019-01-06 22:02:07 UTC
(In reply to Fernando Apesteguía from comment #2)
Thanks for the patch!
I'll be around PC with appropriate sound hardware on wednesday the 9th to run-test it. Will be in touch as soon as possible.
Comment 4 Fernando Apesteguía freebsd_committer 2019-01-07 12:29:36 UTC
Created attachment 200866 [details]
Improved patch

This should be much closer to the final patch. It includes some missing dependencies for ossxmix and place some variables in it proper place.
Comment 5 Daniel Zeisig 2019-01-07 14:08:12 UTC
Hi Sergey,

(In reply to Fernando Apesteguía from comment #4)

Thank you for working out this patch !

The patch applies without issues and I was able to build OSS.

Tested on: FreeBSD 12.0-RELEASE #0 r342138M
Ports tree was latest


I had no time to actually test OSS as such though but I may do this in the next couple of days.
Comment 6 Sergey Akhmatov 2019-01-09 10:12:49 UTC
Hello,

I've tested the port with Asus Xonar D1 (driver oss_cmi878x0).
I've got sound, working ossmix and ossxmix. Everything seems to work fine on my hardware.

Thanks for the patch!
Comment 7 commit-hook freebsd_committer 2019-01-09 18:20:59 UTC
A commit references this bug:

Author: fernape
Date: Wed Jan  9 18:20:50 UTC 2019
New revision: 489819
URL: https://svnweb.freebsd.org/changeset/ports/489819

Log:
  audio/oss: unbreak in FreeBSD > 12

  Unbreak port in FreeBSD 12 and 13-CURRENT. Broken most likely due to r335879.

  While here:

  * Add missing LIB_DEPENDS and USES for ossxmix
  * Reorder some variables

  PR:     233018
  Reported by:    sergey@akhmatov.ru

Changes:
  head/audio/oss/Makefile
  head/audio/oss/files/patch-kernel_OS_FreeBSD_wrapper_bsddefs.h
  head/audio/oss/files/patch-setup_srcconf__freebsd.inc
Comment 8 Fernando Apesteguía freebsd_committer 2019-01-09 18:23:02 UTC
Committed,

Thanks for reporting and testing!
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-10 08:46:09 UTC
Re-open pending MFH to quarterly
Comment 10 Fernando Apesteguía freebsd_committer 2019-01-10 09:01:50 UTC
(In reply to Kubilay Kocak from comment #9)

Awaiting authorization from ports-secteam@
Comment 11 commit-hook freebsd_committer 2019-01-15 21:29:08 UTC
A commit references this bug:

Author: fernape
Date: Tue Jan 15 21:28:28 UTC 2019
New revision: 490428
URL: https://svnweb.freebsd.org/changeset/ports/490428

Log:
  MFH: r489819 r490082

  audio/oss: unbreak in FreeBSD > 12

  Unbreak port in FreeBSD 12 and 13-CURRENT. Broken most likely due to r335879.

  While here:

  * Add missing LIB_DEPENDS and USES for ossxmix
  * Reorder some variables

  PR:     233018
  Reported by:    sergey@akhmatov.ru

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/audio/oss/Makefile
  branches/2019Q1/audio/oss/files/patch-kernel_OS_FreeBSD_wrapper_bsddefs.h
  branches/2019Q1/audio/oss/files/patch-setup_srcconf__freebsd.inc